html {
    color-scheme: dark;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1.25rem;
}

html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
}

header {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 3em;
    width: 90%;
}

main {
    display: flex;
    justify-content: center;
}

footer {
    padding-top: 5em;
    bottom: 1em;
}

.footertext {
    font-size: 1.2rem;
    padding: 1em;
}

.socials {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    width: 80%;
}

.headertext {
    font-size: 1.2rem;
    text-align: center;
}

.category {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.categorytext {
    margin-top: 3em;
    font-size: 1.4rem;
    font-weight: 500;
}

.social {
    margin: 0.5em;
    font-size: 1.3rem;
    font-weight: 500;
    color: #ffffff;
    text-decoration: none;
    border: 3px solid #ffffff;
    border-radius: 0.5em;
    padding: 0.5em;
    transition: 0.25s;
    width: 10em;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.socialicon {
    width: 1.5em;
    height: 1.5em;
    transition: 0.25s;
}

.social:hover .socialicon {
    filter: brightness(0%);
}

.social:hover{
    background-color: #ffffff;
    color: #000000;
}

.userpicture {
    width: 10em;
    border: 5px solid #ffffff;
    border-radius: 50%;
}

.container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    height: 100%;
}

.subcontainer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

